package com.p3.bewoplaner.data.repository;

import io.realm.Realm;
import io.realm.RealmConfiguration;

/**
 * Created by Rares Teodorescu on 11/01/2017.
 */
public class RealmProvider {

    private final RealmConfiguration realmConfiguration;

    RealmProvider(RealmConfiguration realmConfiguration) {
        this.realmConfiguration = realmConfiguration;
    }

    public Realm provide() {
        return Realm.getInstance(realmConfiguration);
    }

}